diff -r c2ab9624abc5 code/ryzom/CMakeModules/nel.cmake
--- a/code/ryzom/CMakeModules/nel.cmake	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/CMakeModules/nel.cmake	Fri May 14 18:17:41 2010 +0300
@@ -9,8 +9,8 @@
 Remove the CMakeCache.txt file and try again from another folder, e.g.:
 
    rm CMakeCache.txt
-   mkdir cmake
-   cd cmake
+   mkdir build
+   cd build
    cmake -G \"Unix Makefiles\" ..
     ")
   ENDIF(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
@@ -75,7 +75,7 @@
     SET(NL_RELEASE_CFLAGS "/Ox /Ob2 /Oi /Ot /Oy /GT /GF")
     SET(NL_RELEASEDEBUG_CFLAGS "/DNL_RELEASE_DEBUG /Ob2 /GF")
   ELSE(WIN32)
-    SET(PLATFORM_CFLAGS "-ftemplate-depth-48 -D_REENTRANT -Wall -ansi -W -Wpointer-arith -Wsign-compare -Wno-deprecated-declarations -Wno-multichar -Wno-long-long -Wno-unused")
+    SET(PLATFORM_CFLAGS "-ftemplate-depth-48 -D_REENTRANT -Wall -ansi -W -Wpointer-arith -Wsign-compare -Wno-deprecated-declarations -Wno-multichar -Wno-long-long -Wno-unused -Wno-comment")
     IF(WITH_COVERAGE)
       SET(PLATFORM_CFLAGS "-fprofile-arcs -ftest-coverage ${PLATFORM_CFLAGS}")
     ENDIF(WITH_COVERAGE)
diff -r c2ab9624abc5 code/ryzom/client/src/client_sheets/attack_id_sheet.cpp
--- a/code/ryzom/client/src/client_sheets/attack_id_sheet.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/client_sheets/attack_id_sheet.cpp	Fri May 14 18:17:41 2010 +0300
@@ -113,8 +113,8 @@
 		case CAttackIDSheet::Magic: return lhs.SpellInfo == rhs.SpellInfo;
 		case CAttackIDSheet::Creature: return lhs.CreatureAttackIndex == rhs.CreatureAttackIndex;
 		case CAttackIDSheet::DamageShield: return lhs.DamageShieldType == rhs.DamageShieldType;
+		default: return false;
 	}
-	return false;
 }
 
 //*****************************************************************************************
@@ -128,8 +128,8 @@
 		case CAttackIDSheet::Magic: return lhs.SpellInfo < rhs.SpellInfo;
 		case CAttackIDSheet::Creature: return lhs.CreatureAttackIndex < rhs.CreatureAttackIndex;
 		case CAttackIDSheet::DamageShield: return lhs.DamageShieldType < rhs.DamageShieldType;
+		default: return false;
 	}
-	return false;
 }
 
 //*****************************************************************************************
diff -r c2ab9624abc5 code/ryzom/client/src/client_sheets/body_to_bone_sheet.cpp
--- a/code/ryzom/client/src/client_sheets/body_to_bone_sheet.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/client_sheets/body_to_bone_sheet.cpp	Fri May 14 18:17:41 2010 +0300
@@ -86,6 +86,6 @@
 		case BODY::HHands:  return ClientSheetsStrings.get(side == BODY::Left ? LeftHand : RightHand);
 		case BODY::HLegs:   return ClientSheetsStrings.get(side == BODY::Left ? LeftLeg  : RightLeg);
 		case BODY::HFeet:   return ClientSheetsStrings.get(side == BODY::Left ? LeftFoot : RightFoot);
+		default: return NULL;
 	}
-	return NULL;
 }
diff -r c2ab9624abc5 code/ryzom/client/src/client_sheets/item_sheet.cpp
--- a/code/ryzom/client/src/client_sheets/item_sheet.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/client_sheets/item_sheet.cpp	Fri May 14 18:17:41 2010 +0300
@@ -742,8 +742,8 @@
 			return Tool.Skill;
 		case ITEMFAMILY::CRAFTING_TOOL:
 			return SKILLS::SC;
+		default: return SKILLS::unknown;
 	}
-	return SKILLS::unknown;
 }
 
 // ***************************************************************************
diff -r c2ab9624abc5 code/ryzom/client/src/connection.cpp
--- a/code/ryzom/client/src/connection.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/connection.cpp	Fri May 14 18:17:41 2010 +0300
@@ -440,7 +440,7 @@
 		{
 			case AUTO_LOGIN:
 				InterfaceState = autoLogin (cookie, fsaddr, firstConnection);
-			break;
+				break;
 
 			case GLOBAL_MENU:
 				if (!ClientCfg.Local)
@@ -451,7 +451,11 @@
 					}
 				}
 				InterfaceState = globalMenu();
- 			break;
+ 				break;
+			case GOGOGO_IN_THE_GAME:
+				break;
+			case QUIT_THE_GAME:
+				break;
 		}
 	}
 
diff -r c2ab9624abc5 code/ryzom/client/src/continent_manager.cpp
--- a/code/ryzom/client/src/continent_manager.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/continent_manager.cpp	Fri May 14 18:17:41 2010 +0300
@@ -397,22 +397,24 @@
 		CContinent *pCont = it->second;
 		nlinfo("Looking into %s", pCont->SheetName.c_str());
 		if (pCont->Zone.VPoints.size() > 0) // Patch because some continent have not been done yet
-		if (pCont->Zone.contains(fPos))
 		{
-			// load the continent selected.
-			select (it->first, pos, progress);
-			return;
-		}
-		else
-		{
-			/*
-			nlwarning("**********************************************");
-			nlwarning("Start position (%s) not found in continent %s", NLMISC::toString(pos.asVector()).c_str(), it->first.c_str());
-			for(uint k = 0; k < pCont->Zone.VPoints.size(); ++k)
+			if (pCont->Zone.contains(fPos))
 			{
-				nlwarning("zone point %d = %s", (int)k, NLMISC::toString(pCont->Zone.VPoints[k]).c_str());
+				// load the continent selected.
+				select (it->first, pos, progress);
+				return;
 			}
-			*/
+			else
+			{
+				/*
+				nlwarning("**********************************************");
+				nlwarning("Start position (%s) not found in continent %s", NLMISC::toString(pos.asVector()).c_str(), it->first.c_str());
+				for(uint k = 0; k < pCont->Zone.VPoints.size(); ++k)
+				{
+					nlwarning("zone point %d = %s", (int)k, NLMISC::toString(pCont->Zone.VPoints[k]).c_str());
+				}
+				*/
+			}
 		}
 		it++;
 	}
diff -r c2ab9624abc5 code/ryzom/client/src/debug_client.cpp
--- a/code/ryzom/client/src/debug_client.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/debug_client.cpp	Fri May 14 18:17:41 2010 +0300
@@ -22,6 +22,8 @@
 /////////////
 #include "stdpch.h"	// First include for pre-compiled headers.
 
+#include <limits>
+
 // OS.
 #ifdef NL_OS_WINDOWS
 #	include <windows.h>
@@ -249,6 +251,7 @@
 	nlwarning("There are %*lx free %sbytes of virtual memory.\n", WIDTH, stat.dwAvailVirtual/DIV, divisor);
 */
 #endif
+	return std::numeric_limits<double>::quiet_NaN();
 }
 
 
diff -r c2ab9624abc5 code/ryzom/client/src/entity_cl.h
--- a/code/ryzom/client/src/entity_cl.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/entity_cl.h	Fri May 14 18:17:41 2010 +0300
@@ -233,7 +233,7 @@
 	void sheetId(const NLMISC::CSheetId &id) {_SheetId = id;}
 
 	/// Return the persistent NPC alias of entity (0 if N/A).
-	const uint32 npcAlias() const {return _NPCAlias; }
+	uint32 npcAlias() const {return _NPCAlias; }
 	/// Set the persistent NPC alias of the entity.	
 	void npcAlias(uint32 alias) {_NPCAlias = alias; }
 
@@ -411,7 +411,7 @@
 
 
 	/// Return the entity current behaviour.
-	const MBEHAV::EBehaviour behaviour() const {return _CurrentBehaviour.Behaviour;}
+	MBEHAV::EBehaviour behaviour() const {return _CurrentBehaviour.Behaviour;}
 
 	/**
 	 * Show or Hide the entity.
diff -r c2ab9624abc5 code/ryzom/client/src/far_tp.cpp
--- a/code/ryzom/client/src/far_tp.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/far_tp.cpp	Fri May 14 18:17:41 2010 +0300
@@ -636,6 +636,9 @@
 				SM_EVENT(ev_quit, st_end);
 			SM_END_EVENT_TABLE
 			break;
+		default:
+			nlwarning("Unhandeled state");
+			break;
 		}
 	}
 }
@@ -747,7 +750,9 @@
 					throw "Protocol error";
 				if (sb._LastJoinSessionResult == 16)
 				{
-#pragma message (NL_LOC_WRN "inform the player that he is banned from the ring")
+#ifdef NL_OS_WINDOWS
+	#pragma message (NL_LOC_WRN "inform the player that he is banned from the ring")
+#endif // NL_OS_WINDOWS
 					throw "User ban from the ring";
 				}
 				if (sb._LastJoinSessionResult != 0)
diff -r c2ab9624abc5 code/ryzom/client/src/forage_source_cl.cpp
--- a/code/ryzom/client/src/forage_source_cl.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/forage_source_cl.cpp	Fri May 14 18:17:41 2010 +0300
@@ -47,13 +47,14 @@
  * Constructor
  */
 CForageSourceCL::CForageSourceCL() :
-	CFxCL(), _IsExtractionInProgress( false ),
+	CFxCL(),
+	_InSceneUserInterface( NULL ),
+	_IconFilename( NULL ),
+	_IsExtractionInProgress( false ),
 	_SafeSource( false ),
 	_KnowledgeLevel( 0 ),
-	_InSceneUserInterface( NULL ),
 	_LastExplosionSwitch( 0 ),
 	_ProspectorSlot( 255 ),
-	_IconFilename( NULL ),
 	_ExtraTime(0),
 	_InclBonusExtraTime(0),
 	_InitialQuantity(BarNotInit),
diff -r c2ab9624abc5 code/ryzom/client/src/game_context_menu.cpp
--- a/code/ryzom/client/src/game_context_menu.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/game_context_menu.cpp	Fri May 14 18:17:41 2010 +0300
@@ -955,7 +955,7 @@
 	}
 
 	// Don't enable anything if index not found (e.g. the character is not the owner of the animal)
-	if ( (index == -1) || (!UserEntity) )
+	if ( (index == (uint)-1) || (!UserEntity) )
 		return false;
 
 	// Get animal status and type
diff -r c2ab9624abc5 code/ryzom/client/src/graph.h
--- a/code/ryzom/client/src/graph.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/graph.h	Fri May 14 18:17:41 2010 +0300
@@ -93,8 +93,8 @@
 			NLMISC::TTime quantum,
 			float maxValue, uint page,
 			bool lineMode = false)
-		: Name(name), X(x), Y(y), Width(width), Height(height), BackColor(backColor), Quantum(quantum),
-		CurrentQuantumStart(ryzomGetLocalTime ()), MaxValue(maxValue), Peak(0.0f), LineMode(lineMode), PrevY(y), Page(page)
+		: Name(name), X(x), Y(y), Width(width), Height(height), BackColor(backColor), MaxValue(maxValue),
+		  Peak(0.0f), LineMode(lineMode), PrevY(y), Page(page), Quantum(quantum), CurrentQuantumStart(ryzomGetLocalTime ())
 	{
 		if (_Graphs == NULL)
 		{
diff -r c2ab9624abc5 code/ryzom/client/src/ground_fx_manager.cpp
--- a/code/ryzom/client/src/ground_fx_manager.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/ground_fx_manager.cpp	Fri May 14 18:17:41 2010 +0300
@@ -60,17 +60,18 @@
 using namespace NLMISC;
 
 //*****************************************************************************
-CGroundFXManager::CGroundFXManager() : _MaxDist(50.f),
-									   _MaxNumFX(10),
-									   _NumFX(0),
-									   _MaxNumCachedFX(10),
-									   _NumCachedFX(0),
-									   _NumInstances(0),
-									   _Scene(NULL),
-									   _MinSpeed(1.5f),
-									   _MaxSpeed(6.f),
-									   _SpeedWaterWalkFast(3.f),
-									   _SpeedWaterSwimFast(3.f)
+CGroundFXManager::CGroundFXManager() :
+					   _MinSpeed(1.5f),
+					   _MaxSpeed(6.f),
+					   _SpeedWaterWalkFast(3.f),
+					   _SpeedWaterSwimFast(3.f),
+					   _MaxDist(50.f),
+					   _MaxNumFX(10),
+					   _NumFX(0),
+					   _MaxNumCachedFX(10),
+					   _NumCachedFX(0),
+					   _NumInstances(0),
+					   _Scene(NULL)
 {
 	H_AUTO_USE(RZ_GroundFXManager)
 	// Construct
diff -r c2ab9624abc5 code/ryzom/client/src/hair_set.cpp
--- a/code/ryzom/client/src/hair_set.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/hair_set.cpp	Fri May 14 18:17:41 2010 +0300
@@ -116,8 +116,8 @@
 		case EGSPD::CPeople::Matis: return Matis;
 		case EGSPD::CPeople::Tryker: return Tryker;
 		case EGSPD::CPeople::Zorai: return Zorai;
+		default: return DontKnow;
 	}
-	return DontKnow;
 }
 
 //=========================================================================
diff -r c2ab9624abc5 code/ryzom/client/src/interface_v3/chat_filter.h
--- a/code/ryzom/client/src/interface_v3/chat_filter.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/interface_v3/chat_filter.h	Fri May 14 18:17:41 2010 +0300
@@ -81,8 +81,8 @@
 	virtual void chatWindowRemoved(CChatWindow *cw);
 	//
 	// copy not supported
-	CChatInputFilter(const CChatInputFilter &/* other */) { nlassert(0); }
-	CChatInputFilter &operator=(const CChatInputFilter &/* other */) { nlassert(0); return *this; }
+	CChatInputFilter(const CChatInputFilter &/* other */);
+	CChatInputFilter &operator=(const CChatInputFilter &/* other */);
 
 };
 
@@ -157,8 +157,8 @@
 	void chatWindowRemoved(CChatWindow *cw);
 	void msgEntered(const ucstring &msg, CChatWindow *chatWindow);
 	// copy not supported
-	CChatTargetFilter(const CChatTargetFilter &/* other */) { nlassert(0); }
-	CChatTargetFilter& operator=(const CChatTargetFilter &/* other */) { nlassert(0); return *this; }
+	CChatTargetFilter(const CChatTargetFilter &/* other */);
+	CChatTargetFilter& operator=(const CChatTargetFilter &/* other */);
 };
 
 #endif
diff -r c2ab9624abc5 code/ryzom/client/src/interface_v3/inventory_manager.h
--- a/code/ryzom/client/src/interface_v3/inventory_manager.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/interface_v3/inventory_manager.h	Fri May 14 18:17:41 2010 +0300
@@ -452,7 +452,7 @@
 	class CDBForageQQObs : public ICDBNode::IPropertyObserver
 	{
 	public:
-		CDBForageQQObs() : WhichOne(~0), FullValue(0.0f), ICDBNode::IPropertyObserver() {}
+		CDBForageQQObs() : ICDBNode::IPropertyObserver(), WhichOne(~0), FullValue(0.0f) {}
 		virtual void update(ICDBNode *node);
 		uint	WhichOne;
 		float	FullValue;
diff -r c2ab9624abc5 code/ryzom/client/src/interface_v3/lua_helper.h
--- a/code/ryzom/client/src/interface_v3/lua_helper.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/interface_v3/lua_helper.h	Fri May 14 18:17:41 2010 +0300
@@ -354,8 +354,8 @@
 
 private:
 	// this object isn't intended to be copied
-	CLuaState(const CLuaState &/* other */) { nlassert(0); }
-	CLuaState &operator=(const CLuaState &/* other */) { nlassert(0); return *this; }
+	CLuaState(const CLuaState &/* other */);
+	CLuaState &operator=(const CLuaState &/* other */);
 
 	void				executeScriptInternal(const std::string &code, const std::string &dbgSrc, int numRet = 0);
 
diff -r c2ab9624abc5 code/ryzom/client/src/interface_v3/obs_huge_list.h
--- a/code/ryzom/client/src/interface_v3/obs_huge_list.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/interface_v3/obs_huge_list.h	Fri May 14 18:17:41 2010 +0300
@@ -158,11 +158,11 @@
 							SlotType(NULL),
 							Quality(NULL),
 							SheetIDOrSkill(NULL),
-							Price(NULL),
 							LogicTextID(NULL),
 							DescTextID(NULL),
+							Price(NULL),
+							MissionText(NULL),
 							MissionDetailText(NULL),
-							MissionText(NULL),
 							MissionIcon(NULL),
 							MissionPreReqState(NULL),
 							Weight(NULL),
diff -r c2ab9624abc5 code/ryzom/client/src/interface_v3/people_list.h
--- a/code/ryzom/client/src/interface_v3/people_list.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/interface_v3/people_list.h	Fri May 14 18:17:41 2010 +0300
@@ -136,7 +136,7 @@
 private:
 	struct CPeople
 	{
-		CPeople() : Online(ccs_offline), Blocked(false), Container(NULL), Chat(NULL), ContactId(0) {}
+		CPeople() : Container(NULL), Chat(NULL), Online(ccs_offline), Blocked(false), ContactId(0) {}
 		NLMISC::CRefPtr<CGroupContainer> Container; // todo : replace this with a CChatWindow one day, for consistency
 		NLMISC::CRefPtr<CGroupContainer> Chat;
 		uint							GlobalID;
diff -r c2ab9624abc5 code/ryzom/client/src/libwww.cpp
--- a/code/ryzom/client/src/libwww.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/libwww.cpp	Fri May 14 18:17:41 2010 +0300
@@ -55,7 +55,7 @@
 // Here, modify the DTD table to change the HTML parser (add new tags for examples)
 
 #undef HTML_ATTR
-#define HTML_ATTR(a,b) { #b }
+#define HTML_ATTR(a,b) { (char*) #b }
 
 HTAttr a_attr[] =
 {
@@ -551,7 +551,7 @@
 		// HTCacheInit(NULL, 20);
 
 		/* Setup up transfer coders */
-		HTFormat_addTransferCoding("chunked", HTChunkedEncoder, HTChunkedDecoder, 1.0);
+		HTFormat_addTransferCoding((char*)"chunked", HTChunkedEncoder, HTChunkedDecoder, 1.0);
 
 		/* Setup MIME stream converters */
 		HTFormat_addConversion("message/rfc822", "*/*", HTMIMEConvert, 1.0, 0.0, 0.0);
@@ -630,8 +630,8 @@
 			{"authentication-info", &HTMIME_authenticationInfo},
 			{"proxy-authentication-info", &HTMIME_proxyAuthenticationInfo}
 		};
-		int i;
-		for (i = 0; i < sizeof(fixedHandlers)/sizeof(fixedHandlers[0]); i++)
+
+		for (uint i = 0; i < sizeof(fixedHandlers)/sizeof(fixedHandlers[0]); i++)
 			HTHeader_addParser(fixedHandlers[i].string, NO, fixedHandlers[i].pHandler);
 
 		/* Set up default event loop */
diff -r c2ab9624abc5 code/ryzom/client/src/light_cycle_manager.cpp
--- a/code/ryzom/client/src/light_cycle_manager.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/light_cycle_manager.cpp	Fri May 14 18:17:41 2010 +0300
@@ -96,15 +96,16 @@
 }
 
 //-----------------------------------------------
-CLightCycleManager::CLightCycleManager() : _Touched(true),
-                                           _ValidDesc(false),
-										   _LightLevel(0),
-										   _WeatherLighting(0),
-										   _LastWeatherLighting(0),
-										   _Hour(0),
-										   _UpdateFreq(0),
-										   _State(StateUnknown),
-										   _PrevState(StateUnknown)
+CLightCycleManager::CLightCycleManager() : 
+					_Hour(0),
+					_Touched(true),
+                                        _ValidDesc(false),
+					_LightLevel(0),
+					_WeatherLighting(0),
+					_LastWeatherLighting(0),
+					_UpdateFreq(0),
+					_State(StateUnknown),
+					_PrevState(StateUnknown)
 {
 	H_AUTO_USE(RZ_LightCycleManager)
 }
diff -r c2ab9624abc5 code/ryzom/client/src/login_patch.h
--- a/code/ryzom/client/src/login_patch.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/login_patch.h	Fri May 14 18:17:41 2010 +0300
@@ -64,7 +64,7 @@
 public:
 	CInstallThreadEntry(){ Timestamp = 0; }
 	CInstallThreadEntry(const char* patchName, const char* sourceName, uint32 timestamp, const char* extractPath, uint32 size, uint32 sZipFileSize)
-		:PatchName(patchName), SourceName(sourceName), Timestamp(timestamp),ExtractPath(extractPath), Size(size),SZipFileSize(sZipFileSize){}
+		:PatchName(patchName), SourceName(sourceName), Timestamp(timestamp),Size(size),SZipFileSize(sZipFileSize),ExtractPath(extractPath) {}
 	std::string PatchName;
 	std::string SourceName;
 	uint32 Timestamp;
diff -r c2ab9624abc5 code/ryzom/client/src/login_progress_post_thread.cpp
--- a/code/ryzom/client/src/login_progress_post_thread.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/login_progress_post_thread.cpp	Fri May 14 18:17:41 2010 +0300
@@ -192,7 +192,7 @@
 					}
 					if (newStep)
 					{
-						if (loginStep.Step == LoginStep_Stop)
+						if (loginStep.Step == (uint)LoginStep_Stop)
 						{
 							break;
 						}
diff -r c2ab9624abc5 code/ryzom/client/src/main_loop.cpp
--- a/code/ryzom/client/src/main_loop.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/main_loop.cpp	Fri May 14 18:17:41 2010 +0300
@@ -2568,6 +2568,9 @@
 					screenShotPNG();
 					ScreenshotRequest = ScreenshotRequestNone;
 				break;
+				case ScreenshotRequestNone:
+					nlwarning("Screenshot of unspecified type requested.");
+				break;
 			}
 
 			// TMP TMP
diff -r c2ab9624abc5 code/ryzom/client/src/misc.cpp
--- a/code/ryzom/client/src/misc.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/misc.cpp	Fri May 14 18:17:41 2010 +0300
@@ -656,8 +656,8 @@
 		case SLOTTYPE::FEET_SLOT:			return isUserColorSupported(playerSheet.Feet);
 		case SLOTTYPE::RIGHT_HAND_SLOT:	return isUserColorSupported(playerSheet.ObjectInRightHand);
 		case SLOTTYPE::LEFT_HAND_SLOT:	return isUserColorSupported(playerSheet.ObjectInLeftHand);
+		default: return false;
 	}
-	return false;
 }// isUserColorSupported //
 
 
@@ -1081,6 +1081,10 @@
 			}
 		}
 		break;
+	case CaseNormal:
+		break;
+	case CaseCount:
+		break;
 	}
 }
 
diff -r c2ab9624abc5 code/ryzom/client/src/npc_icon.cpp
--- a/code/ryzom/client/src/npc_icon.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/npc_icon.cpp	Fri May 14 18:17:41 2010 +0300
@@ -41,7 +41,7 @@
 // #pragma optimize ("", off)
 
 
-CNPCIconCache::CNPCIconCache() : _LastTimerUpdateTimestamp(0), _LastRequestTimestamp(0), _Enabled(true)
+CNPCIconCache::CNPCIconCache() : _LastRequestTimestamp(0), _LastTimerUpdateTimestamp(0), _Enabled(true)
 {
 	_Icons[NPC_ICON::IconNone].init("", "");
 	_Icons[NPC_ICON::IconNotAMissionGiver].init("", "");
diff -r c2ab9624abc5 code/ryzom/client/src/precipitation.cpp
--- a/code/ryzom/client/src/precipitation.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/precipitation.cpp	Fri May 14 18:17:41 2010 +0300
@@ -35,7 +35,7 @@
 
 
 //============================================================
-CPrecipitation::CPrecipitation() : _Strenght(0), _XSize(0), _YSize(0), _ClipGrid(NULL), _Touched(false), _OldX(0), _OldY(0), _TimeOut(0.f)
+CPrecipitation::CPrecipitation() : _ClipGrid(NULL), _Strenght(0), _TimeOut(0.f), _XSize(0), _YSize(0), _OldX(0), _OldY(0), _Touched(false)
 {
 	H_AUTO_USE(RZ_Precipitation)
 }
diff -r c2ab9624abc5 code/ryzom/client/src/property_decoder.h
--- a/code/ryzom/client/src/property_decoder.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/property_decoder.h	Fri May 14 18:17:41 2010 +0300
@@ -53,7 +53,7 @@
 	class CEntityEntry
 	{
 	public:
-		CEntityEntry() : EntryUsed(false), PosIsRelative(false), AssociationBits(0) {}
+		CEntityEntry() : AssociationBits(0), EntryUsed(false), PosIsRelative(false) {}
 		CLFECOMMON::TSheetId							Sheet;
 		uint16											AssociationBits;
 		bool											EntryUsed;
@@ -87,7 +87,7 @@
 	uint16&	associationBits( CLFECOMMON::TCLEntityId entity ) { return _Entities[entity].AssociationBits; }
 
 	bool	isUsed(CLFECOMMON::TCLEntityId entity) const { return _Entities[entity].EntryUsed; }
-	const CLFECOMMON::TSheetId	sheet(CLFECOMMON::TCLEntityId entity) const { return _Entities[entity].Sheet; }
+	CLFECOMMON::TSheetId	sheet(CLFECOMMON::TCLEntityId entity) const { return _Entities[entity].Sheet; }
 
 
 	/** Receives actions from the front end. Actually transmits actions received
diff -r c2ab9624abc5 code/ryzom/client/src/r2/instance.h
--- a/code/ryzom/client/src/r2/instance.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/r2/instance.h	Fri May 14 18:17:41 2010 +0300
@@ -241,8 +241,8 @@
 	// For editor : Create this object from the CObjectTable it materialize in the editor
 	CInstance(const CObjectTable *objectTable, CLuaState &ls);
 	// copy not supported
-	CInstance(const CInstance &/* other */) { nlassert(0); }
-	CInstance &operator = (const CInstance &/* other */) { nlassert(0); return *this; }
+	CInstance(const CInstance &/* other */);
+	CInstance &operator = (const CInstance &/* other */);
 	//
 	void executeHandler(const CLuaString &name, int numArgs);
 	//
diff -r c2ab9624abc5 code/ryzom/client/src/rosace.cpp
--- a/code/ryzom/client/src/rosace.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/rosace.cpp	Fri May 14 18:17:41 2010 +0300
@@ -242,6 +242,9 @@
 	case DirectMode:
 		directMode(x, y);
 		break;
+	case NbRosaceMode:
+		nlwarning("Rosace Mode reached.");
+		break;
 	}
 }// update //
 
diff -r c2ab9624abc5 code/ryzom/client/src/seven_zip/7zMain.cpp
--- a/code/ryzom/client/src/seven_zip/7zMain.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/seven_zip/7zMain.cpp	Fri May 14 18:17:41 2010 +0300
@@ -95,14 +95,14 @@
   }
   if (numargs < 3)
   {
-    PrintError("incorrect command");
+    PrintError((char*)"incorrect command");
     return 1;
   }
 
   archiveStream.File = fopen(args[2], "rb");
   if (archiveStream.File == 0)
   {
-    PrintError("can not open input file");
+    PrintError((char*)"can not open input file");
     return 1;
   }
 
@@ -192,20 +192,20 @@
           outputHandle = fopen(fileName, "wb+");
           if (outputHandle == 0)
           {
-            PrintError("can not open output file");
+            PrintError((char*)"can not open output file");
             res = SZE_FAIL;
             break;
           }
           processedSize = fwrite(outBuffer + offset, 1, outSizeProcessed, outputHandle);
           if (processedSize != outSizeProcessed)
           {
-            PrintError("can not write output file");
+            PrintError((char*)"can not write output file");
             res = SZE_FAIL;
             break;
           }
           if (fclose(outputHandle))
           {
-            PrintError("can not close output file");
+            PrintError((char*)"can not close output file");
             res = SZE_FAIL;
             break;
           }
@@ -216,7 +216,7 @@
     }
     else
     {
-      PrintError("incorrect command");
+      PrintError((char*)"incorrect command");
       res = SZE_FAIL;
     }
   }
@@ -229,7 +229,7 @@
     return 0;
   }
   if (res == SZE_OUTOFMEMORY)
-    PrintError("can not allocate memory");
+    PrintError((char*)"can not allocate memory");
   else     
     printf("\nERROR #%d\n", res);
   return 1;
diff -r c2ab9624abc5 code/ryzom/client/src/seven_zip/LzmaDecode.cpp
--- a/code/ryzom/client/src/seven_zip/LzmaDecode.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/seven_zip/LzmaDecode.cpp	Fri May 14 18:17:41 2010 +0300
@@ -126,8 +126,8 @@
   if (prop0 >= (9 * 5 * 5))
     return LZMA_RESULT_DATA_ERROR;
   {
-    for (propsRes->pb = 0; prop0 >= (9 * 5); propsRes->pb++, prop0 -= (9 * 5));
-    for (propsRes->lp = 0; prop0 >= 9; propsRes->lp++, prop0 -= 9);
+    for (propsRes->pb = 0; prop0 >= (9 * 5); propsRes->pb++, prop0 -= (9 * 5)) ;
+    for (propsRes->lp = 0; prop0 >= 9; propsRes->lp++, prop0 -= 9) ;
     propsRes->lc = prop0;
     /*
     unsigned char remainder = (unsigned char)(prop0 / 9);
diff -r c2ab9624abc5 code/ryzom/client/src/sound_manager.cpp
--- a/code/ryzom/client/src/sound_manager.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/sound_manager.cpp	Fri May 14 18:17:41 2010 +0300
@@ -116,9 +116,9 @@
 // constructor
 //-----------------------------------------------
 CSoundManager::CSoundManager(IProgressCallback * /* progressCallBack */)
-: _UserEntitySoundLevel(1.0f),
-	_AudioMixer(NULL),
-	_EnvSoundRoot(NULL)
+:	_AudioMixer(NULL),
+	_EnvSoundRoot(NULL),
+	_UserEntitySoundLevel(1.0f)
 {
 	_EnableBackgroundMusicAtTime= 0;
 	_GameMusicVolume= 1.f;
@@ -1288,6 +1288,9 @@
 		_BackgroundFlags.Flags[MORNING] = false;
 		_BackgroundFlags.Flags[DUSK] = true;
 		break;
+	case CLightCycleManager::StateUnknown:
+		nlwarning("Unknown light cycle  state reached.");
+		break;
 	}
 
 	// update the filter for season.
@@ -1318,6 +1321,8 @@
 		_BackgroundFlags.Flags[AUTUMN] = false;
 		_BackgroundFlags.Flags[WINTER] = true;
 		break;
+	default:
+		nlwarning("Updating unknown season.");
 	}
 	// TODO : update the filter state for weather effet
 	CWeatherState weatherState = WeatherManager.getCurrWeatherState();
diff -r c2ab9624abc5 code/ryzom/client/src/string_manager_client.cpp
--- a/code/ryzom/client/src/string_manager_client.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/string_manager_client.cpp	Fri May 14 18:17:41 2010 +0300
@@ -787,6 +787,9 @@
 						move = dynInfo.String.begin()+param.ReplacementPoint+2;
 					}
 					break;
+				 default:
+					nlwarning("Unknown parameter type.");
+					break;
 				}
 			}
 			// append the rest of the string
@@ -1245,7 +1248,7 @@
 					while(strFindReplace(_SpecItem_TempMap[keyStr].Name, "\\n", "\n"));
 
 					// insert in map of Women Name if OK.
-					if(womenNameColIndex!=(~0))
+					if(womenNameColIndex!=((uint)~0))
 					{
 						const ucstring &womenName= ws.getData(j, womenNameColIndex);
 						_SpecItem_TempMap[keyStr].WomenName= womenName;
@@ -1254,7 +1257,7 @@
 					}
 
 					// insert in map of Description if OK.
-					if(descColIndex!=(~0))
+					if(descColIndex!=((uint)~0))
 					{
 						const ucstring &desc= ws.getData(j, descColIndex);
 						_SpecItem_TempMap[keyStr].Desc= desc;
@@ -1263,7 +1266,7 @@
 					}
 
 					// insert in map of Description2 if OK.
-					if(descColIndex2!=(~0))
+					if(descColIndex2!=((uint)~0))
 					{
 						const ucstring &desc= ws.getData(j, descColIndex2);
 						_SpecItem_TempMap[keyStr].Desc2= desc;
diff -r c2ab9624abc5 code/ryzom/client/src/timed_fx_manager.cpp
--- a/code/ryzom/client/src/timed_fx_manager.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/timed_fx_manager.cpp	Fri May 14 18:17:41 2010 +0300
@@ -336,6 +336,7 @@
 		{
 			case CManagedFX::InAddList:	   _FXToAdd.erase(fi.SetHandle); break;
 			case CManagedFX::InRemoveList: _FXToRemove.erase(fi.SetHandle); break;
+			default: break;
 		}
 		fi.unlinkFromCandidateFXList();
 		fi.unlinkFromInstanciatedFXList();
@@ -848,6 +849,7 @@
 				case CManagedFX::Permanent: color = (!mf.Instance.empty()) ? CRGBA::Magenta : CRGBA::Cyan; break;
 				case CManagedFX::InAddList: color = CRGBA::Blue; break;
 				case CManagedFX::InRemoveList: color = (!mf.Instance.empty()) ? CRGBA::Red : CRGBA::Yellow; break;
+				case CManagedFX::Unknown: break;
 			}
 			drawBox(CVector(- size, - size, - size),
 					CVector(size, size, size),
diff -r c2ab9624abc5 code/ryzom/client/src/timed_fx_manager.h
--- a/code/ryzom/client/src/timed_fx_manager.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/timed_fx_manager.h	Fri May 14 18:17:41 2010 +0300
@@ -49,7 +49,7 @@
 		bool				FromIG; // true if the fx comes from an ig, or false if it was generated dynamically
 	#endif
 public:
-	CTimedFX() : FXSheet(NULL), SpawnPosition(0.f, 0.f, 0.f)
+	CTimedFX() : SpawnPosition(0.f, 0.f, 0.f), FXSheet(NULL)
 	{
 #if !FINAL_VERSION
 			FromIG = true;
diff -r c2ab9624abc5 code/ryzom/client/src/user_entity.cpp
--- a/code/ryzom/client/src/user_entity.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/user_entity.cpp	Fri May 14 18:17:41 2010 +0300
@@ -745,6 +745,8 @@
 				return true;
 			}
 		break;
+		default:
+			nlwarning("Invalid behaviour change.");
 	}
 
 	// Reset Parent, unless we stay in mount mode
@@ -1324,7 +1326,7 @@
 	if(_MoveToAction==CUserEntity::CombatPhrase || _MoveToAction==CUserEntity::ExtractRM)
 	{
 		// the clientExecute has not been called in case of "ExtractRM autoFind"
-		bool	autoFindExtractRM= _MoveToAction==CUserEntity::ExtractRM && _MoveToPhraseMemoryLine == ~0;
+		bool	autoFindExtractRM= _MoveToAction==CUserEntity::ExtractRM && _MoveToPhraseMemoryLine == (uint)~0;
 		if(!autoFindExtractRM)
 		{
 			CSPhraseManager	*pPM= CSPhraseManager::getInstance();
@@ -1644,9 +1646,11 @@
 	case CUserEntity::BuildTotem:
 		buildTotem();
 		break;
+	// Move To Done.
+	default:
+		resetAnyMoveTo();
+		break;
 	}
-	// Move To Done.
-	resetAnyMoveTo();
 }// moveToAction //
 
 
@@ -3519,7 +3523,7 @@
 		if ( ((CLFECOMMON::TClientDataSetIndex)uidLeaf->getValue32()) == mountEntity->dataSetId() )
 		{
 			CCDBNodeLeaf *hungerLeaf = safe_cast<CCDBNodeLeaf*>(beastNode->getNode( ICDBNode::CTextId( "HUNGER" ) ));
-			return (hungerLeaf->getValue32() != ANIMAL_TYPE::DbHungryValue);
+			return (hungerLeaf->getValue32() != (sint)ANIMAL_TYPE::DbHungryValue);
 		}
 	}
 	return false;
@@ -3751,7 +3755,7 @@
 	CSPhraseManager *pm = CSPhraseManager::getInstance();
 	uint index;
 	uint memoryLine;
-	bool autoFindPhrase = (_MoveToPhraseMemoryLine == ~0);
+	bool autoFindPhrase = (_MoveToPhraseMemoryLine == (uint)~0);
 	if ( ! autoFindPhrase )
 	{
 		// Use clicked phrase
@@ -3781,7 +3785,7 @@
 		}
 	}
 
-	if ( memoryLine != ~0 )
+	if ( memoryLine != (uint)~0 )
 	{
 		// Open the forage (but not for care actions). Necessary for the case of redoing an extraction after a Drop All on the same source.
 		uint32 phraseId = pm->getMemorizedPhrase( memoryLine, index );
diff -r c2ab9624abc5 code/ryzom/client/src/water_env_map_rdr.h
--- a/code/ryzom/client/src/water_env_map_rdr.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/client/src/water_env_map_rdr.h	Fri May 14 18:17:41 2010 +0300
@@ -47,7 +47,7 @@
 	NL3D::TGlobalAnimationTime CurrTime;
 	CSky					   *Sky;
 public:
-	CWaterEnvMapRdr() : _LastRenderStartTime(-1), CurrTime(-1)
+	CWaterEnvMapRdr() : CurrTime(-1), _LastRenderStartTime(-1)
 	{
 		_CurrCanopyCamPos = CVector::Null;
 	}
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/bg_downloader_msg.cpp
--- a/code/ryzom/common/src/game_share/bg_downloader_msg.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/bg_downloader_msg.cpp	Fri May 14 18:17:41 2010 +0300
@@ -24,7 +24,7 @@
 namespace BGDownloader
 {
 
-extern const char *DownloaderMutexName = "RyzomBgDownloader";
+const char *DownloaderMutexName = "RyzomBgDownloader";
 
 ucstring getWrittenSize(uint32 nSize)
 {
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/bnp_patch.cpp
--- a/code/ryzom/common/src/game_share/bnp_patch.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/bnp_patch.cpp	Fri May 14 18:17:41 2010 +0300
@@ -190,7 +190,9 @@
 	PROP(uint32,_PatchSize) \
 	PROP_VECT(uint32,_HashKey)
 
-#pragma message( PERSISTENT_GENERATION_MESSAGE )
+#ifdef NL_OS_WINDOWS
+#      pragma message( PERSISTENT_GENERATION_MESSAGE )
+#endif // NL_OS_WINDOWS
 #include "persistent_data_template.h"
 
 #undef PERSISTENT_CLASS
@@ -340,7 +342,9 @@
 	PROP(std::string,_FileName)\
 	STRUCT_VECT(_Versions)
 
-#pragma message( PERSISTENT_GENERATION_MESSAGE )
+#ifdef NL_OS_WINDOWS
+#      pragma message( PERSISTENT_GENERATION_MESSAGE )
+#endif // NL_OS_WINDOWS
 #include "persistent_data_template.h"
 
 #undef PERSISTENT_CLASS
@@ -453,8 +457,9 @@
 #define PERSISTENT_CLASS CBNPFileSet
 #define PERSISTENT_DATA\
 	STRUCT_VECT(_Files)
-
-#pragma message( PERSISTENT_GENERATION_MESSAGE )
+#ifdef NL_OS_WINDOWS
+#      pragma message( PERSISTENT_GENERATION_MESSAGE )
+#endif // NL_OS_WINDOWS
 #include "persistent_data_template.h"
 
 #undef PERSISTENT_CLASS
@@ -574,7 +579,9 @@
 	LPROP(bool,				_Hidden,		if(_Hidden))\
 	PROP_VECT(std::string,	_Files)\
 
-#pragma message( PERSISTENT_GENERATION_MESSAGE )
+#ifdef NL_OS_WINDOWS
+#      pragma message( PERSISTENT_GENERATION_MESSAGE )
+#endif // NL_OS_WINDOWS
 #include "persistent_data_template.h"
 
 #undef PERSISTENT_CLASS
@@ -724,8 +731,9 @@
 #define PERSISTENT_CLASS CBNPCategorySet
 #define PERSISTENT_DATA\
 	STRUCT_VECT(_Category)
-
-#pragma message( PERSISTENT_GENERATION_MESSAGE )
+#ifdef NL_OS_WINDOWS
+#      pragma message( PERSISTENT_GENERATION_MESSAGE )
+#endif // NL_OS_WINDOWS
 #include "persistent_data_template.h"
 
 #undef PERSISTENT_CLASS
@@ -814,7 +822,9 @@
 	STRUCT(_Files)\
 	STRUCT(_Categories)
 
-#pragma message( PERSISTENT_GENERATION_MESSAGE )
+#ifdef NL_OS_WINDOWS
+#      pragma message( PERSISTENT_GENERATION_MESSAGE )
+#endif //NL_OS_WINDOWS
 #include "persistent_data_template.h"
 
 #undef PERSISTENT_CLASS
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/crypt.cpp
--- a/code/ryzom/common/src/game_share/crypt.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/crypt.cpp	Fri May 14 18:17:41 2010 +0300
@@ -403,45 +403,45 @@
 
 static unsigned char S[8][64] = {	/* 48->32 bit substitution tables */
 					/* S[1]			*/
-	14,  4, 13,  1,  2, 15, 11,  8,  3, 10,  6, 12,  5,  9,  0,  7,
-	 0, 15,  7,  4, 14,  2, 13,  1, 10,  6, 12, 11,  9,  5,  3,  8,
-	 4,  1, 14,  8, 13,  6,  2, 11, 15, 12,  9,  7,  3, 10,  5,  0,
-	15, 12,  8,  2,  4,  9,  1,  7,  5, 11,  3, 14, 10,  0,  6, 13,
+	{14,  4, 13,  1,  2, 15, 11,  8,  3, 10,  6, 12,  5,  9,  0,  7,
+	  0, 15,  7,  4, 14,  2, 13,  1, 10,  6, 12, 11,  9,  5,  3,  8,
+	  4,  1, 14,  8, 13,  6,  2, 11, 15, 12,  9,  7,  3, 10,  5,  0,
+	 15, 12,  8,  2,  4,  9,  1,  7,  5, 11,  3, 14, 10,  0,  6, 13},
 					/* S[2]			*/
-	15,  1,  8, 14,  6, 11,  3,  4,  9,  7,  2, 13, 12,  0,  5, 10,
-	 3, 13,  4,  7, 15,  2,  8, 14, 12,  0,  1, 10,  6,  9, 11,  5,
-	 0, 14,  7, 11, 10,  4, 13,  1,  5,  8, 12,  6,  9,  3,  2, 15,
-	13,  8, 10,  1,  3, 15,  4,  2, 11,  6,  7, 12,  0,  5, 14,  9,
+	{15,  1,  8, 14,  6, 11,  3,  4,  9,  7,  2, 13, 12,  0,  5, 10,
+	  3, 13,  4,  7, 15,  2,  8, 14, 12,  0,  1, 10,  6,  9, 11,  5,
+	  0, 14,  7, 11, 10,  4, 13,  1,  5,  8, 12,  6,  9,  3,  2, 15,
+	 13,  8, 10,  1,  3, 15,  4,  2, 11,  6,  7, 12,  0,  5, 14,  9},
 					/* S[3]			*/
-	10,  0,  9, 14,  6,  3, 15,  5,  1, 13, 12,  7, 11,  4,  2,  8,
-	13,  7,  0,  9,  3,  4,  6, 10,  2,  8,  5, 14, 12, 11, 15,  1,
-	13,  6,  4,  9,  8, 15,  3,  0, 11,  1,  2, 12,  5, 10, 14,  7,
-	 1, 10, 13,  0,  6,  9,  8,  7,  4, 15, 14,  3, 11,  5,  2, 12,
+	{10,  0,  9, 14,  6,  3, 15,  5,  1, 13, 12,  7, 11,  4,  2,  8,
+	 13,  7,  0,  9,  3,  4,  6, 10,  2,  8,  5, 14, 12, 11, 15,  1,
+	 13,  6,  4,  9,  8, 15,  3,  0, 11,  1,  2, 12,  5, 10, 14,  7,
+	  1, 10, 13,  0,  6,  9,  8,  7,  4, 15, 14,  3, 11,  5,  2, 12},
 					/* S[4]			*/
-	 7, 13, 14,  3,  0,  6,  9, 10,  1,  2,  8,  5, 11, 12,  4, 15,
-	13,  8, 11,  5,  6, 15,  0,  3,  4,  7,  2, 12,  1, 10, 14,  9,
-	10,  6,  9,  0, 12, 11,  7, 13, 15,  1,  3, 14,  5,  2,  8,  4,
-	 3, 15,  0,  6, 10,  1, 13,  8,  9,  4,  5, 11, 12,  7,  2, 14,
+	{ 7, 13, 14,  3,  0,  6,  9, 10,  1,  2,  8,  5, 11, 12,  4, 15,
+	 13,  8, 11,  5,  6, 15,  0,  3,  4,  7,  2, 12,  1, 10, 14,  9,
+	 10,  6,  9,  0, 12, 11,  7, 13, 15,  1,  3, 14,  5,  2,  8,  4,
+	  3, 15,  0,  6, 10,  1, 13,  8,  9,  4,  5, 11, 12,  7,  2, 14},
 					/* S[5]			*/
-	 2, 12,  4,  1,  7, 10, 11,  6,  8,  5,  3, 15, 13,  0, 14,  9,
-	14, 11,  2, 12,  4,  7, 13,  1,  5,  0, 15, 10,  3,  9,  8,  6,
-	 4,  2,  1, 11, 10, 13,  7,  8, 15,  9, 12,  5,  6,  3,  0, 14,
-	11,  8, 12,  7,  1, 14,  2, 13,  6, 15,  0,  9, 10,  4,  5,  3,
+	{ 2, 12,  4,  1,  7, 10, 11,  6,  8,  5,  3, 15, 13,  0, 14,  9,
+	 14, 11,  2, 12,  4,  7, 13,  1,  5,  0, 15, 10,  3,  9,  8,  6,
+	  4,  2,  1, 11, 10, 13,  7,  8, 15,  9, 12,  5,  6,  3,  0, 14,
+	 11,  8, 12,  7,  1, 14,  2, 13,  6, 15,  0,  9, 10,  4,  5,  3},
 					/* S[6]			*/
-	12,  1, 10, 15,  9,  2,  6,  8,  0, 13,  3,  4, 14,  7,  5, 11,
-	10, 15,  4,  2,  7, 12,  9,  5,  6,  1, 13, 14,  0, 11,  3,  8,
-	 9, 14, 15,  5,  2,  8, 12,  3,  7,  0,  4, 10,  1, 13, 11,  6,
-	 4,  3,  2, 12,  9,  5, 15, 10, 11, 14,  1,  7,  6,  0,  8, 13,
+	{12,  1, 10, 15,  9,  2,  6,  8,  0, 13,  3,  4, 14,  7,  5, 11,
+	 10, 15,  4,  2,  7, 12,  9,  5,  6,  1, 13, 14,  0, 11,  3,  8,
+	  9, 14, 15,  5,  2,  8, 12,  3,  7,  0,  4, 10,  1, 13, 11,  6,
+	  4,  3,  2, 12,  9,  5, 15, 10, 11, 14,  1,  7,  6,  0,  8, 13},
 					/* S[7]			*/
-	 4, 11,  2, 14, 15,  0,  8, 13,  3, 12,  9,  7,  5, 10,  6,  1,
-	13,  0, 11,  7,  4,  9,  1, 10, 14,  3,  5, 12,  2, 15,  8,  6,
-	 1,  4, 11, 13, 12,  3,  7, 14, 10, 15,  6,  8,  0,  5,  9,  2,
-	 6, 11, 13,  8,  1,  4, 10,  7,  9,  5,  0, 15, 14,  2,  3, 12,
+	{ 4, 11,  2, 14, 15,  0,  8, 13,  3, 12,  9,  7,  5, 10,  6,  1,
+ 	 13,  0, 11,  7,  4,  9,  1, 10, 14,  3,  5, 12,  2, 15,  8,  6,
+	  1,  4, 11, 13, 12,  3,  7, 14, 10, 15,  6,  8,  0,  5,  9,  2,
+	  6, 11, 13,  8,  1,  4, 10,  7,  9,  5,  0, 15, 14,  2,  3, 12},
 					/* S[8]			*/
-	13,  2,  8,  4,  6, 15, 11,  1, 10,  9,  3, 14,  5,  0, 12,  7,
-	 1, 15, 13,  8, 10,  3,  7,  4, 12,  5,  6, 11,  0, 14,  9,  2,
-	 7, 11,  4,  1,  9, 12, 14,  2,  0,  6, 10, 13, 15,  3,  5,  8,
-	 2,  1, 14,  7,  4, 10,  8, 13, 15, 12,  9,  0,  3,  5,  6, 11,
+	{13,  2,  8,  4,  6, 15, 11,  1, 10,  9,  3, 14,  5,  0, 12,  7,
+	  1, 15, 13,  8, 10,  3,  7,  4, 12,  5,  6, 11,  0, 14,  9,  2,
+	  7, 11,  4,  1,  9, 12, 14,  2,  0,  6, 10, 13, 15,  3,  5,  8,
+	  2,  1, 14,  7,  4, 10,  8, 13, 15, 12,  9,  0,  3,  5,  6, 11}
 };
 
 static unsigned char P32Tr[] = {	/* 32-bit permutation function */
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/dir_light_setup.cpp
--- a/code/ryzom/common/src/game_share/dir_light_setup.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/dir_light_setup.cpp	Fri May 14 18:17:41 2010 +0300
@@ -26,11 +26,10 @@
 
 //-----------------------------------------------
 CDirLightSetup::CDirLightSetup() : Ambiant(0, 0, 0),
+		                   Diffuse(255, 255, 255),
                                    Specular(0, 0, 0),
-				                   Diffuse(255, 255, 255),
-				                   Direction(1.f, 0.f, 0.f)
+		                   Direction(1.f, 0.f, 0.f)
 {
-	//
 }
 
 //-----------------------------------------------
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/dms.h
--- a/code/ryzom/common/src/game_share/dms.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/dms.h	Fri May 14 18:17:41 2010 +0300
@@ -80,7 +80,7 @@
 	public:
 		virtual ~IServerEditionModule(){}
 		virtual void createSessionWithoutSu(uint32 charId, NLMISC::CEntityId clientEid) = 0;
-		virtual TPioneersSessionsAllowed * const getSessionAllowedForChar(TCharId charId) const = 0;
+		virtual TPioneersSessionsAllowed * getSessionAllowedForChar(TCharId charId) const = 0;
 		virtual CScenario* getScenarioById(TSessionId sessionId) const = 0;
 		// getEditing position (use AdminModule::getPosition for having a position in editing and animation mode)
 		virtual	bool getPosition(TSessionId sessionId, double& x, double& y, double& orient, uint8& season, uint32 locationIndex = 0) = 0;
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/dyn_chat.cpp
--- a/code/ryzom/common/src/game_share/dyn_chat.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/dyn_chat.cpp	Fri May 14 18:17:41 2010 +0300
@@ -29,10 +29,10 @@
 /////////////////////
 //================================================================
 CDynChatSession::CDynChatSession(CDynChatClient *client, CDynChatChan *channel)
-							    : _Client(client),
-                                  _Channel(channel),
-								  StringID(0),
-								  WriteRight(false)
+					: StringID(0),
+					  WriteRight(false),
+					  _Client(client),
+                           		  _Channel(channel)
 {
 	nlassert(client);
 	nlassert(channel);
@@ -102,7 +102,7 @@
 // CDynChatClient //
 ////////////////////
 //================================================================
-CDynChatClient::CDynChatClient(const TDataSetRow &client) : _ID(client), _FirstSession(NULL)
+CDynChatClient::CDynChatClient(const TDataSetRow &client) : _FirstSession(NULL), _ID(client)
 {
 }
 
@@ -136,26 +136,26 @@
 // CDynChatChan //
 //////////////////
 CDynChatChan::CDynChatChan()
-:	_ID(CEntityId::Unknown),
+:	HistoricSize(0),
+	HideBubble(false),
 	_FirstSession(NULL),
-	HistoricSize(0),
+	_ID(CEntityId::Unknown),
 	_DontBroadcastPlayerInputs(false),
 	_ForwardPlayerIntputToOwnerService(false),
-	_UnifyChannel(false),
-	HideBubble(false)
+	_UnifyChannel(false)
 {
 }
 
 //================================================================
 //CDynChatChan::CDynChatChan(TChanID id) : _ID(id), _FirstSession(NULL), HistoricSize(0)
 CDynChatChan::CDynChatChan(TChanID id, bool noBroadcast, bool forwardInput, bool unified)
-	: _ID(id),
+:	HistoricSize(0),
+	HideBubble(false),
 	_FirstSession(NULL),
-	HistoricSize(0),
+	_ID(id),
 	_DontBroadcastPlayerInputs(noBroadcast),
 	_ForwardPlayerIntputToOwnerService(forwardInput),
-	_UnifyChannel(unified),
-	HideBubble(false)
+	_UnifyChannel(unified)
 {
 }
 
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/effect_families.cpp
--- a/code/ryzom/common/src/game_share/effect_families.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/effect_families.cpp	Fri May 14 18:17:41 2010 +0300
@@ -214,8 +214,8 @@
 			case DMGTYPE::POISON : return DebuffResistPoison;
 			case DMGTYPE::ELECTRICITY : return DebuffResistElectricity;
 			case DMGTYPE::SHOCK : return DebuffResistSchock;
+			default: return Unknown;
 		}
-		return Unknown;
 	}
 
 	TEffectFamily getCombatDoTEffect( DMGTYPE::EDamageType type)
@@ -229,8 +229,8 @@
 		case DMGTYPE::POISON : return CombatDoTPoison;
 		case DMGTYPE::ELECTRICITY : return CombatDoTElectricity;
 		case DMGTYPE::SHOCK : return CombatDoTShock;
+		default: return Unknown;
 		}
-		return Unknown;
 	}
 
 
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/generic_xml_msg_mngr.cpp
--- a/code/ryzom/common/src/game_share/generic_xml_msg_mngr.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/generic_xml_msg_mngr.cpp	Fri May 14 18:17:41 2010 +0300
@@ -177,7 +177,7 @@
 /*
  * Constructor
  */
-CGenericXmlMsgHeaderManager::CNode::CNode(xmlNodePtr xmlNode, uint32 value) : Value(value), NbBits(0), Callback(NULL), UseCycle(false)
+CGenericXmlMsgHeaderManager::CNode::CNode(xmlNodePtr xmlNode, uint32 value) : Value(value), UseCycle(false), NbBits(0), Callback(NULL)
 {
 	UserData[0] = 0;
 	UserData[1] = 0;
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/mirror.cpp
--- a/code/ryzom/common/src/game_share/mirror.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/mirror.cpp	Fri May 14 18:17:41 2010 +0300
@@ -30,12 +30,13 @@
 using namespace NLNET;
 using namespace std;
 
-
-#ifdef FAST_MIRROR
-#  pragma message(NL_LOC_MSG "Using **** FAST_MIRROR ****")
-#else
-#  pragma message(NL_LOC_MSG "Not using FAST_MIRROR")
-#endif
+#ifdef NL_OS_WINDOWS
+#    ifdef FAST_MIRROR
+#        pragma message(NL_LOC_MSG "Using **** FAST_MIRROR ****")
+#    else
+#    	 pragma message(NL_LOC_MSG "Not using FAST_MIRROR")
+#    endif
+#endif // NL_OS_WINDOWS
 
 
 const string MirrorVersion = string("1.10-")+string(ListRowSizeString); // ADDED: Unidirectional Mode (don't wait for delta)
@@ -841,7 +842,9 @@
 	for ( istfar=smidsToFindAndRemove.begin(); istfar!=smidsToFindAndRemove.end(); ++istfar )
 	{
 		if ( (*istfar) != InvalidSMId )
+		{
 			MIRROR_INFO( "MIRROR: Need to remove tracker with smid %d", (*istfar) );
+		}
 	}
 #endif
 
@@ -1485,17 +1488,17 @@
  */
 CMirror::CMirror() :
 	_PendingEntityTypesRanges(0),
-	_MirrorAllReady(false),
 	_ReadyL1Callback(NULL),
 	_NotificationCallback(NULL),
+	_UserSyncCallback(NULL),
+	_MirrorAllReady(false),
 	_MirrorGotReadyLevel1(false),
 	_MirrorGotReadyLevel2(false),
 	_ListOfOtherPropertiesReceived(false),
 	_AwaitingAllMirrorsOnline(false),
 	_IsExecutingSynchronizedCode(false),
-	MonitoredEntity(CEntityId::Unknown),
 	_ClosureRequested(false),
-	_UserSyncCallback(NULL)
+	MonitoredEntity(CEntityId::Unknown)
 {
 	nlassert( ! MirrorInstance ); // singleton check
 	MirrorInstance = this;
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/mirror_prop_value.h
--- a/code/ryzom/common/src/game_share/mirror_prop_value.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/mirror_prop_value.h	Fri May 14 18:17:41 2010 +0300
@@ -1296,7 +1296,7 @@
 protected:
 
 	/// Default constructor
-	CMirrorPropValueList() : _PtFront(NULL), _Container(NULL), _PropLocation() {}
+	CMirrorPropValueList() : _Container(NULL), _PtFront(NULL), _PropLocation() {}
 
 	TSharedListRow		allocateNewCell();
 
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/mode_and_behaviour.h
--- a/code/ryzom/common/src/game_share/mode_and_behaviour.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/mode_and_behaviour.h	Fri May 14 18:17:41 2010 +0300
@@ -318,7 +318,7 @@
 		}
 
 		/// Cons cast into behaviour enum
-		operator const EBehaviour () const
+		operator EBehaviour () const
 		{
 			return (EBehaviour)Behaviour8;
 		}
@@ -453,7 +453,7 @@
 		sint16		DeltaHP;
 		uint16		Unused; /// Keep it, used to make the class size = 64 bits (sizeof(CBehaviour) MUST return 8 (bytes))
 
-		inline CBehaviour() : Behaviour(UNKNOWN_BEHAVIOUR), Data(0), Data2(0), DeltaHP(0), Unused(0) {}
+		inline CBehaviour() :  Data(0),  Data2(0), Behaviour(UNKNOWN_BEHAVIOUR), DeltaHP(0), Unused(0) {}
 
 		inline CBehaviour( EBehaviour behaviour )
 		{
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/rm_family.cpp
--- a/code/ryzom/common/src/game_share/rm_family.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/rm_family.cpp	Fri May 14 18:17:41 2010 +0300
@@ -640,8 +640,8 @@
 	bool	isMagicResistStat(TRMStatType fs)
 	{
 		// should have 5 magic resistances. Desert should be the 1st, and PrimRoot the last
-		const uint	startMResist= DesertResistance;
-		const uint	endMResist= PrimaryRootResistance+1;
+		const int	startMResist= DesertResistance;
+		const int	endMResist= PrimaryRootResistance+1;
 		nlctassert(endMResist - startMResist == 5);
 
 		return fs>=startMResist && fs<endMResist;
@@ -651,8 +651,8 @@
 	bool	isMagicProtectStat(TRMStatType fs)
 	{
 		// should have 7 magic protection. Acid should be the 1st, and Electricity the last
-		const uint	startMProt= AcidProtection;
-		const uint	endMProt= ElectricityProtection+1;
+		const int	startMProt= AcidProtection;
+		const int	endMProt= ElectricityProtection+1;
 		nlctassert(endMProt - startMProt == 7);
 
 		return fs>=startMProt && fs<endMProt;
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/season.cpp
--- a/code/ryzom/common/src/game_share/season.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/season.cpp	Fri May 14 18:17:41 2010 +0300
@@ -23,11 +23,11 @@
 
 static const struct { char* Name; CSeason::TSeason Value; } TSeasonConvert[] =
 {
-	{ "Spring", CSeason::Spring },
-	{ "Summer", CSeason::Summer },
-	{ "Autumn", CSeason::Autumn },
-	{ "Winter", CSeason::Winter },
-	{ "Invalid", CSeason::Invalid },
+	{ (char*)"Spring", CSeason::Spring },
+	{ (char*)"Summer", CSeason::Summer },
+	{ (char*)"Autumn", CSeason::Autumn },
+	{ (char*)"Winter", CSeason::Winter },
+	{ (char*)"Invalid", CSeason::Invalid },
 };
 /* -----------------------------------------
 * Static Implementation of CSeason
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/server_edition_module.cpp
--- a/code/ryzom/common/src/game_share/server_edition_module.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/server_edition_module.cpp	Fri May 14 18:17:41 2010 +0300
@@ -141,7 +141,7 @@
 	public:
 
 		CCurrentChar(TCharId charId, uint32 editSlotId, const R2::TUserRole& userRole = R2::TUserRole::ur_editor)
-			:_CharId(charId), _EditSlotId(editSlotId), _UserRole(userRole){}
+			:_EditSlotId(editSlotId), _CharId(charId), _UserRole(userRole){}
 
 		void setUserRole(const R2::TUserRole& userRole)
 		{
@@ -256,7 +256,7 @@
 	{
 	public:
 		CTaskUpdateScenarioVision(NLMISC::TTime now, CServerEditionModule* module, TSessionId sessionId)
-			:CTask<NLMISC::TTime>(now), _Module(module),_SessionId(sessionId){}
+			:CTask<NLMISC::TTime>(now), _SessionId(sessionId), _Module(module){}
 		virtual void doOperation()
 		{
 			_Module->updateScenarioVision(_SessionId);
@@ -340,7 +340,7 @@
 
 	public:
 		CKickPlayerIfStillConnected(NLMISC::TTime taskDate, CServerEditionModule* serverEditionModule, TSessionId sessionId, TCharId charId)
-			: CTask<NLMISC::TTime>(taskDate),_ServerEditionModule(serverEditionModule), _SessionId(sessionId), _CharId(charId)
+			: CTask<NLMISC::TTime>(taskDate),_ServerEditionModule(serverEditionModule), _CharId(charId), _SessionId(sessionId)
 		{
 		}
 
@@ -374,7 +374,7 @@
 		typedef uint32 TCharId;
 	public:
 		CVerifyRingAccess(NLMISC::TTime taskDate, CServerEditionModule* serverEditionModule, TSessionId sessionId, TCharId charId)
-			:CTask<NLMISC::TTime>(taskDate),_ServerEditionModule(serverEditionModule), _SessionId(sessionId), _CharId(charId)
+			:CTask<NLMISC::TTime>(taskDate),_ServerEditionModule(serverEditionModule), _CharId(charId), _SessionId(sessionId)
 		{
 		}
 
@@ -764,7 +764,7 @@
 
 
 CEditionSession::CEditionSession(RSMGR::TSessionType sessionType, TSessionId sessionId, CEditionSession* edit)
-:_EditSlotIdMaker(1), SessionId(sessionId)
+: SessionId(sessionId), _EditSlotIdMaker(1)
 {
 	IsAnimationStopped = false;
 	DateSinceNoPlayer = 0;
@@ -2572,7 +2572,7 @@
 }
 
 
-TPioneersSessionsAllowed * const CServerEditionModule::getSessionAllowedForChar(TCharId charId) const
+TPioneersSessionsAllowed * CServerEditionModule::getSessionAllowedForChar(TCharId charId) const
 {
 	TPioneersSessionsAlloweds::const_iterator found = _PioneersSessionsAllowed.find(charId);
 	if (found == _PioneersSessionsAllowed.end()) return NULL;
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/server_edition_module.h
--- a/code/ryzom/common/src/game_share/server_edition_module.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/server_edition_module.h	Fri May 14 18:17:41 2010 +0300
@@ -474,7 +474,7 @@
 		TUserRole getRoleByCharId(TCharId charId) const;
 
 		// get the session that is about to be joined by a client, or NULL if not found
-		TPioneersSessionsAllowed * const getSessionAllowedForChar(TCharId charId) const;
+		TPioneersSessionsAllowed * getSessionAllowedForChar(TCharId charId) const;
 		// get the scenario use by the user
 
 		CScenario*  getScenarioByCharId(TCharId charId) const;
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/sp_type.cpp
--- a/code/ryzom/common/src/game_share/sp_type.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/sp_type.cpp	Fri May 14 18:17:41 2010 +0300
@@ -21,7 +21,7 @@
 namespace EGSPD
 {
 
-static const struct { char* Name; CSPType::TSPType Value; } TSPTypeConvert[] =
+static const struct { const char* Name; CSPType::TSPType Value; } TSPTypeConvert[] =
 {
 	{ "Fight", CSPType::Fight },
 	{ "Magic", CSPType::Magic },
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/time_weather_season/weather_function_params_sheet_base.cpp
--- a/code/ryzom/common/src/game_share/time_weather_season/weather_function_params_sheet_base.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/time_weather_season/weather_function_params_sheet_base.cpp	Fri May 14 18:17:41 2010 +0300
@@ -26,12 +26,13 @@
 
 
 //=======================================================================
-CWeatherFunctionParamsSheetBase::CWeatherFunctionParamsSheetBase() :   CycleLenght(25),
-																	   DayLenght(24),
-																	   MinThunderPeriod(1.f),
-																	   ThunderLenght(0.5f),
-																	   CloudWindSpeedFactor(1.f),
-																	   CloudMinSpeed(0.f)
+CWeatherFunctionParamsSheetBase::CWeatherFunctionParamsSheetBase()
+:							DayLenght(24),
+							CycleLenght(25),
+							MinThunderPeriod(1.f),
+							ThunderLenght(0.5f),
+							CloudWindSpeedFactor(1.f),
+							CloudMinSpeed(0.f)
 {
 }
 
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/time_weather_season/weather_setup_sheet_base.cpp
--- a/code/ryzom/common/src/game_share/time_weather_season/weather_setup_sheet_base.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/time_weather_season/weather_setup_sheet_base.cpp	Fri May 14 18:17:41 2010 +0300
@@ -39,10 +39,10 @@
 												FogColorDay(NLMISC::CRGBA::Black),
 												FogColorDusk(NLMISC::CRGBA::Black),
 												FogColorNight(NLMISC::CRGBA::Black),
+												FogGradientFactor(1.f),
 												Lighting(1.f),
 												WindIntensity(0),
-												ThunderIntensity(0),
-												FogGradientFactor(1.f)
+												ThunderIntensity(0)
 
 {
 	for(uint k = 0; k < NumFogType; ++k)
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/type_skill_mod.cpp
--- a/code/ryzom/common/src/game_share/type_skill_mod.cpp	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/type_skill_mod.cpp	Fri May 14 18:17:41 2010 +0300
@@ -43,5 +43,8 @@
 	PROP(sint32, Modifier)\
 	PROP2(Type,	std::string,	EGSPD::CClassificationType::toString(Type),	Type=EGSPD::CClassificationType::fromString(val))\
 
-#pragma message( PERSISTENT_GENERATION_MESSAGE )
+#ifdef NL_OS_WINDOWS
+	#pragma message( PERSISTENT_GENERATION_MESSAGE )
+#endif // NL_OS_WINDOWS
+
 #include "persistent_data_template.h"
diff -r c2ab9624abc5 code/ryzom/common/src/game_share/xml_auto_ptr.h
--- a/code/ryzom/common/src/game_share/xml_auto_ptr.h	Fri May 14 15:47:03 2010 +0300
+++ b/code/ryzom/common/src/game_share/xml_auto_ptr.h	Fri May 14 18:17:41 2010 +0300
@@ -34,7 +34,7 @@
 	operator std::string() const { return std::string(_Value); }
 	bool operator ! () const { return _Value == NULL; }
 	operator const unsigned char *() const { return (const unsigned char *)  _Value; }
-	const char operator * ()  const { nlassert(_Value); return *_Value; }
+	char operator * ()  const { nlassert(_Value); return *_Value; }
 	/// NB : This remove previous owned pointer with xmlFree
 	CXMLAutoPtr &operator = (const char *other);
 	CXMLAutoPtr &operator = (const unsigned char *other)
